Subject: RE: [Sip] RE: [Sip-implementors] another problem related to multi ple call legs at UAC

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 26 Jun 2001 01:00:28 -0400

-----Original Message-----
From: Zmolek, Andrew (Andrew) [mailto:[email-masked]]
Sent: Monday, June 25, 2001 6:43 PM
To: Jonathan Rosenberg; Barry Desborough; Paul Kyzivat; Bob Penfield
Cc: [email-masked]
Subject: RE: [Sip] RE: [Sip-implementors] another problem related to
multiple call legs at UAC

>>> Another thing  Section 5.2 of bis 03.txt also says that 
>>> "A proxy client generates a CANCEL request for branches without 
>>>    a final response after it has forked a request and 
>>> receives a 2xx or 
>>>    6xx response from one of the branches. " 
>>> Whereas section 17.4, pg. 122 says that 
>>> "After receiving a 2xx, the server MAY terminate all other 
>>>              pending requests by sending a CANCEL request" 
>>> 
>>> Note that there is no "MAY" in section 5.2. 
>> 
>> These need to be consistent. Honestly, it should probably be a SHOULD as 
>> opposed to a MAY in both places. Anyone object to me changing that? 
>
>Given that we already have a product that provides this kind of forking
across 
>both the PBX and PSTN environments and whose default behavior is to bridge
all 
>the parties that accept the call, it seems natural that we would want to
extend 
>this to provide the same capability in the SIP world, and perhaps extend
this 
>in other ways. Therefore, I strongly object to the use of "SHOULD" here in 
>place of "MAY" and suggest that if alternative wording is required,
something 
>like the following be used:
>
>"After receiving a 2xx, the server SHOULD either (1) drop all other pending

>requests by sending a CANCEL request or (2) bridge or otherwise provide an 
>alternative service to each branch connection that responds with a 2XX." 

If your server does bridging, its not a proxy so this doesn't apply. A
B2BUA, which is what this would need to be, can do whatever it wants. Please
feel free to bridge as you are doing. With proxies, if the proxy doesn't
CANCEL, the UA will need to CANCEL. Since it doesn't know whether downstream
proxies forked, a UA would effectively need to CANCEL every time a 2xx
arrives. Really ugly. THe proxy that forks should do this.

-Jonathan R.

---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  http://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip